import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:mc_common_app/classes/consts.dart';

extension RowWithArrowExtension on Row {
  Row withArrow({
    required bool isArrowEnabled,
    String arrowAssetPath = MyAssets.arrowRight,
    double arrowHeight = 9.69,
    double arrowWidth = 13.0,
    Color color = Colors.black,
  }) {
    return Row(
      mainAxisAlignment: this.mainAxisAlignment,
      crossAxisAlignment: this.crossAxisAlignment,
      children: [
        ...this.children,
        if (isArrowEnabled)
          SvgPicture.asset(
            arrowAssetPath,
            height: arrowHeight,
            width: arrowWidth,
            color: color,
          ),
      ],
    );
  }
}
